Bug 37888 - FILESAVE Writer crashes saving .doc as .doc soffice.bin crashed with SIGSEGV in OutputTextNode()
Summary: FILESAVE Writer crashes saving .doc as .doc soffice.bin crashed with SIGSEGV ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-03 10:06 UTC by Christopher M. Penalver
Modified: 2011-10-29 07:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
UPU0001_Ass1_GroupAnalysis_Template.doc (676.00 KB, application/msword)
2011-06-03 10:06 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-06-03 10:06:24 UTC
Created attachment 47487 [details]
UPU0001_Ass1_GroupAnalysis_Template.doc

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/792453

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/792143/+attachment/2152945/+files/UPU0001_Ass1_GroupAnalysis_Template.doc && lowriter -nologo UPU0001_Ass1_GroupAnalysis_Template.doc

is when one saves in .doc format, Writer does not immediately close, with the reopened file has all it's changes lost.

4) What happens instead is LO immediately closes and the changes are lost.

WORKAROUND: Save as .odt file type.
Comment 1 Andras Timar 2011-06-09 02:10:33 UTC
Both LibreOffice 3.3.2 and LibreOffice 3.4.0 crash on Linux and Windows.
Comment 2 Don't use this account, use tml@iki.fi 2011-06-09 03:04:57 UTC
Debugging this now.
Comment 3 Don't use this account, use tml@iki.fi 2011-06-09 03:16:29 UTC
When saving the document as .doc, with a msword library built with debug=t, I get the assertion failure from sw/source/filter/ww8/wrtw8nds.cxx, line 1845: "Looks like this doc is broken...; where is the Fieldmark for the FIELDSTART??". And indeed the pFieldmark pointer is NULL.
Comment 4 Jan Holesovsky 2011-07-01 08:35:01 UTC
I tried now, with 3.4.1, and it does _not_ crash for me.  Can you please try with that version?  It has been released just today.
Comment 5 Cor Nouws 2011-07-22 01:25:42 UTC
Indeed does not crash in 3.4.1 > Fixed